Bug 503157 - No sound on Dell D630 docking station
No sound on Dell D630 docking station
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-29 06:42 EDT by Espen Stefansen
Modified: 2010-06-28 08:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
amixer -c1 > before.txt (2.73 KB, text/plain)
2009-05-29 07:36 EDT, Espen Stefansen
no flags Details
alsa-info from a docked Dell Latitude D630 laptop (20.42 KB, text/plain)
2009-07-01 13:26 EDT, Peter van Hooft
no flags Details

  None (edit)
Description Espen Stefansen 2009-05-29 06:42:03 EDT
Description of problem:
I get no sound out of the docking station's audio out jack when connecting headphones. But when I switch it to the laptop's headphone jack, it works.

lspci -v:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
	Subsystem: Dell Dell Latitude D630
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at f6dfc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] MSI: Mask- 64bit+ Count=1/1 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel


Version-Release number of selected component (if applicable):
alsa-lib-1.0.20-1.fc11
alsa-plugins-pulseaudio-1.0.18-3.fc11
kernel-PAE-2.6.29.4-167.fc11
pulseaudio-0.9.15-11.fc11

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
No sound out of the docking station's audio out jack

Expected results:
Sound out of the docking station's audio out jack

Additional info:
Not sure if this is a pulseaudio, alsa or kernel problem. Feel free to reassign.
Comment 1 Lennart Poettering 2009-05-29 07:01:58 EDT
Hmm, this is probably just an issue of an incomplete mixer initialization. Could you please read this mail from Adam:

https://www.redhat.com/archives/fedora-devel-list/2009-April/msg02321.html

Then, please attach amixer outputs before and after you tried to fix the situation with alsamixer!
Comment 2 Espen Stefansen 2009-05-29 07:34:32 EDT
Yep, you were right. It was an issue of an incomplete mixer initialization. I installed gst-mixer and turned on IEC958, and the sound came out of the headphones.

Here's the diff from amixer before and after:
[root@itse6848-2 ~]# diff -u amixer-before.txt amixer-after.txt 
--- before.txt	2009-05-29 13:24:10.000000000 +0200
+++ after.txt	2009-05-29 13:30:33.000000000 +0200
@@ -20,7 +20,7 @@
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
-  Mono: Playback [off]
+  Mono: Playback [on]
 Simple mixer control 'IEC958 Default PCM',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
Comment 3 Espen Stefansen 2009-05-29 07:36:14 EDT
Created attachment 345897 [details]
amixer -c1 > before.txt
Comment 4 Lennart Poettering 2009-05-29 08:21:12 EDT
Hmm, that is weird. You turn on spdif and this makes the headphones work?

Hmm, Jaroslav, what's going on here?
Comment 5 Espen Stefansen 2009-05-29 08:35:14 EDT
Just to clarify. 

Before turning on IEC958:
- When the laptop is in the docking-station and no headphones are connected, sound plays from the builtin speakers
- When headphones are connected to audio jack on laptop, sound plays from the headphones
- When headphones are connected to audio jack on the docking-station, sound plays from the _builtin speakers_

After I turned on IEC958:
- When the laptop is in the docking-station and no headphones are connected, sound plays from the builtin speakers
- When headphones are connected to audio jack on laptop, sound plays from the headphones
- When headphones are connected to audio jack on the docking-station, sound plays from the _headphones_

Turning on IEC958 makes everything work as it should.
Comment 6 Bug Zapper 2009-06-09 12:46:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Peter van Hooft 2009-07-01 13:26:17 EDT
Created attachment 350156 [details]
alsa-info from a docked Dell Latitude D630 laptop
Comment 8 Peter van Hooft 2009-07-01 13:27:05 EDT
I want to report the same problem against an uptodate 11 installation on a Dell Latitude D630 laptop when docked. This problem has plagued me since at least fedora 10. Usually, toggling the IEC958 switch in any mixer that supports it solves the problem. When it doesn't, installing the alsa-kmdl from atrpms sometimes works. I'll attach my /tmp/alsa-info.txt
Comment 9 Peter van Hooft 2009-07-12 14:20:26 EDT
Update: when I run pavucontrol, I can switch audio output to 'Output Digital Stereo (IEC958) + Input Analog Stereo' which makes audio output fully functional, even the gnome volume applet can now control volume correctly.
Comment: Perhaps pavucontrol should be installed by default? It seems audio+video control for docked laptops is severely lacking. It would be nice to have some sort of profile management for systems that can operate in different hardware configurations (like there is for networks).
Comment 10 Bug Zapper 2010-04-27 10:34:10 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:44:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.